import { message } from 'antd';

function requestInterceptor(url, options) {
  const headers = options.headers || {};
  // const token = sessionStorage.getItem('token')
  //   ? { Authorization: `Bearer ${sessionStorage.getItem('token')}` }
  //   : {};

  return {
    // url,
    url: `${API_BASE}/api${url}`,
    options: {
      ...options,
      headers: {
        ...headers,
        // ...token,
      },
    },
  };
}

function responseInterceptor(response) {
  const { data } = response;
  if (data.code === 1000) {
    return data;
  } else {
    message.error(data.message || '系统错误');
  }
  return Promise.reject(data);
}

export const requestConfig = {
  requestInterceptors: [requestInterceptor],
  responseInterceptors: [responseInterceptor],
};

export function queryTable(apiRequest) {
  return function (params) {
    return apiRequest({
      ...params,
      pageNum: params.current,
    })
      .then((res) => {
        console.log(res, '--000');
        return {
          data: res.records,
          success: true,
          total: res.total,
        };
      })
      .catch((err) => {
        return {
          success: false,
        };
      });
  };
}
// return {
//   data: msg.result,
//   // success 请返回 true，
//   // 不然 table 会停止解析数据，即使有数据
//   success: boolean,
//   // 不传会使用 data 的长度，如果是分页一定要传
//   total: number,
// };
